> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/issuers.md).

# Issuers

## GET /issuers

> Retrieve a list of issuers supported by the platform.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/issuers":{"get":{"description":"Retrieve a list of issuers supported by the platform.","operationId":"getIssuers","parameters":[{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterIssuerDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"name":{"type":"string","enum":["asc","desc"]}},"required":["name"]},{"properties":{"countryCode":{"type":"string","enum":["asc","desc"]}},"required":["countryCode"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, name, countryCode"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/IssuerDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Issuers"]}}},"components":{"schemas":{"FilterIssuerDto":{"type":"object","properties":{"id":{"description":"Filter issuers by ids","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"accountAddress":{"description":"Filter issuers by account address","oneOf":[{"type":"array","items":{"description":"Account address","type":"string","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"minItems":1},{"type":"string","description":"Partial account address"}]},"name":{"type":"string","description":"Filter issuers by name"},"address":{"type":"string","description":"Filter issuers by address"},"companyCode":{"type":"string","description":"Filter issuers by company code"},"leiCode":{"type":"string","description":"Filter issuers by LEI code"},"countryCode":{"type":"string","description":"Filter issuers by country code"},"type":{"description":"Filter issuers by type","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/IssuerType"},"minItems":1},{"$ref":"#/components/schemas/IssuerType"}]},"createdAt":{"format":"date-time","description":"Filter issuers by date","oneOf":[{"type":"array","items":{"type":"string","format":"date-time"},"minItems":1,"maxItems":2},{"type":"string","format":"date-time"}]}}},"IssuerType":{"type":"string","enum":["bank","government","investment-holding-company","other","plc","pllc","small-pllc","sole-proprietorship"],"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer"},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"IssuerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Issuer UUID identifier, unique in scope of this node","format":"uuid"},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"accountAddress":{"type":"string","description":"Issuer account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Address of headquarters"},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Unique identifier of the company/institution issuing the asset (LEI - Legal Entity Identifier)","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20,"nullable":true},"vatCode":{"type":"string","description":"Value-added tax identification number","format":"vat-code","nullable":true},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","nullable":true},"rating":{"type":"string","nullable":true}},"required":["createdAt","updatedAt","id","type","accountAddress","name","companyCode","address","postalAddress","countryCode","leiCode","vatCode","email","institutionSectorCode","ratingAgency","rating"]},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."}}}}
```

## Create issuer

> Create an issuer

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/issuers":{"post":{"description":"Create an issuer","operationId":"createIssuer","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateIssuerDto"}}}},"responses":{"201":{"description":"Created issuer","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuerDto"}}}}},"summary":"Create issuer","tags":["Issuers"]}}},"components":{"schemas":{"CreateIssuerDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the company issuing the asset","minLength":1,"maxLength":256},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"companyCode":{"type":"string","description":"Company registry code or another unique identifier of the company/institution issuing the asset","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Postal address"},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Legal Entity Identifier (LEI) code","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20},"vatCode":{"type":"string","description":"Value-added tax identification number","format":"vat-code"},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email"},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","description":"Rating agency that has rated the issuing company"},"rating":{"type":"string","description":"Rating of the issuing company"}},"required":["name","type","companyCode","address","countryCode","institutionSectorCode"]},"IssuerType":{"type":"string","enum":["bank","government","investment-holding-company","other","plc","pllc","small-pllc","sole-proprietorship"],"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer"},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."},"IssuerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Issuer UUID identifier, unique in scope of this node","format":"uuid"},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"accountAddress":{"type":"string","description":"Issuer account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Address of headquarters"},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Unique identifier of the company/institution issuing the asset (LEI - Legal Entity Identifier)","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20,"nullable":true},"vatCode":{"type":"string","description":"Value-added tax identification number","format":"vat-code","nullable":true},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","nullable":true},"rating":{"type":"string","nullable":true}},"required":["createdAt","updatedAt","id","type","accountAddress","name","companyCode","address","postalAddress","countryCode","leiCode","vatCode","email","institutionSectorCode","ratingAgency","rating"]}}}}
```

## GET /issuers/{issuerId}

> Retrieve full information about a single issuer, specified by issuer account address in the path

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/issuers/{issuerId}":{"get":{"description":"Retrieve full information about a single issuer, specified by issuer account address in the path","operationId":"getIssuer","parameters":[{"name":"issuerId","required":true,"in":"path","description":"Issuer UUID identifier, unique in scope of this node","schema":{"format":"uuid","type":"string"}}],"responses":{"200":{"description":"Successfully received an issuer","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuerDto"}}}}},"summary":"","tags":["Issuers"]}}},"components":{"schemas":{"IssuerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Issuer UUID identifier, unique in scope of this node","format":"uuid"},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"accountAddress":{"type":"string","description":"Issuer account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Address of headquarters"},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Unique identifier of the company/institution issuing the asset (LEI - Legal Entity Identifier)","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20,"nullable":true},"vatCode":{"type":"string","description":"Value-added tax identification number","format":"vat-code","nullable":true},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","nullable":true},"rating":{"type":"string","nullable":true}},"required":["createdAt","updatedAt","id","type","accountAddress","name","companyCode","address","postalAddress","countryCode","leiCode","vatCode","email","institutionSectorCode","ratingAgency","rating"]},"IssuerType":{"type":"string","enum":["bank","government","investment-holding-company","other","plc","pllc","small-pllc","sole-proprietorship"],"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer"},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."}}}}
```

## Update issuer

> Update issuer's details

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/issuers/{issuerId}":{"patch":{"description":"Update issuer's details","operationId":"updateIssuer","parameters":[{"name":"issuerId","required":true,"in":"path","description":"Issuer UUID identifier, unique in scope of this node","schema":{"format":"uuid","type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateIssuerDto"}}}},"responses":{"201":{"description":"Updated issuer","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuerDto"}}}}},"summary":"Update issuer","tags":["Issuers"]}}},"components":{"schemas":{"UpdateIssuerDto":{"type":"object","properties":{"name":{"type":"string","description":"Name of the company issuing the asset","minLength":1,"maxLength":256},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"companyCode":{"type":"string","description":"Company registry code or another unique identifier of the company/institution issuing the asset","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Postal address","nullable":true},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Legal Entity Identifier (LEI) code","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20},"vatCode":{"type":"string","description":"Unique identifier of the company/institution issuing the asset (VAT)","format":"vat-code"},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","description":"Rating agency that has rated the issuing company","nullable":true},"rating":{"type":"string","description":"Rating of the issuing company","nullable":true}}},"IssuerType":{"type":"string","enum":["bank","government","investment-holding-company","other","plc","pllc","small-pllc","sole-proprietorship"],"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer"},"InstitutionSectorCode":{"type":"string","enum":["S.11","S.121","S.122","S.123","S.124","S.125","S.126","S.127","S.128","S.129","S.13","S.1311","S.1312","S.1313","S.1314","S.14","S.15"],"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form."},"IssuerDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Issuer UUID identifier, unique in scope of this node","format":"uuid"},"type":{"description":"**Issuer type:**\n- `bank` - bank or credit institution issuer\n- `government` - government or public-sector issuer\n- `investment-holding-company` - investment holding company issuer\n- `other` - issuer type that does not fit the listed categories\n- `plc` - public limited company issuer\n- `pllc` - private limited liability company issuer\n- `small-pllc` - small private limited liability company issuer\n- `sole-proprietorship` - sole proprietorship issuer","allOf":[{"$ref":"#/components/schemas/IssuerType"}]},"accountAddress":{"type":"string","description":"Issuer account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"name":{"type":"string","description":"Name of the company","minLength":1,"maxLength":256},"companyCode":{"type":"string","description":"Company registration code","maxLength":30,"minLength":6,"pattern":"^[A-Z0-9]{6-30}$"},"address":{"type":"string","description":"Address of headquarters"},"postalAddress":{"type":"string","description":"Address of headquarters"},"countryCode":{"type":"string","description":"Country code of where the issuing company is located","format":"iso3166-1-alpha-2","maxLength":2,"minLength":2,"pattern":"^[A-Z]{2}$"},"leiCode":{"type":"string","description":"Unique identifier of the company/institution issuing the asset (LEI - Legal Entity Identifier)","pattern":"^[A-Z0-9]{4}00[A-Z0-9]{14}$","format":"lei-code","minLength":20,"maxLength":20,"nullable":true},"vatCode":{"type":"string","description":"Value-added tax identification number","format":"vat-code","nullable":true},"email":{"type":"string","description":"Email of the issuing company’s representative","format":"email","nullable":true},"institutionSectorCode":{"description":"ESA 2010 / ECB institutional sector classification code used for statistical and regulatory reporting. This describes sector, not legal form.","allOf":[{"$ref":"#/components/schemas/InstitutionSectorCode"}]},"ratingAgency":{"type":"string","nullable":true},"rating":{"type":"string","nullable":true}},"required":["createdAt","updatedAt","id","type","accountAddress","name","companyCode","address","postalAddress","countryCode","leiCode","vatCode","email","institutionSectorCode","ratingAgency","rating"]}}}}
```

## GET /issuers/{issuerId}/bonds

> Retrieve a list of issuer bonds supported by the platform.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/issuers/{issuerId}/bonds":{"get":{"description":"Retrieve a list of issuer bonds supported by the platform.","operationId":"getIssuerBonds","parameters":[{"name":"issuerId","required":true,"in":"path","description":"Issuer UUID identifier, unique in scope of this node","schema":{"format":"uuid","type":"string"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/BondDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Issuers"]}}},"components":{"schemas":{"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"BondDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Bond UUID identifier, global in scope of TSS","format":"uuid"},"issuerId":{"type":"string","description":"Unique UUID of the issuer in scope of this gateway","format":"uuid"},"currencyId":{"type":"string","description":"Unique UUID of the currency that payouts of the bond are made with in scope of this gateway","format":"uuid"},"brokerId":{"type":"string","description":"Unique UUID of the broker that manages this bond issue","format":"uuid"},"origin":{"description":"Origin of the bond","allOf":[{"$ref":"#/components/schemas/BondOrigin"}]},"custodian":{"type":"string","description":"Custodian where asset is registered outside","nullable":true},"custodianLeiCode":{"type":"string","description":"LEI code of original depository where the issuer has registered the securities","nullable":true},"issuerCsdLeiCode":{"type":"string","description":"LEI code of central securities depository where the issuer has registered the securities","nullable":true},"csdRegisteredAt":{"type":"string","description":"Date of registration in central depository","format":"date-time","nullable":true},"underlyingInstrumentCode":{"type":"string","description":"Underlying instrument code","nullable":true},"fisn":{"type":"string","description":"Financial Instrument Short Name (FISN) as per ISO 18774:2024","format":"iso-18774-fisn","maxLength":35,"nullable":true},"countryCode":{"type":"string","description":"Country code of where the security is issued"},"turnoverType":{"description":"Type of turnover for the bond. Indicates how the bond is traded or transferred","nullable":true,"allOf":[{"$ref":"#/components/schemas/TurnoverType"}]},"seniority":{"description":"Seniority of the bond. Indicates the priority of claims in case of liquidation","allOf":[{"$ref":"#/components/schemas/BondSeniority"}]},"status":{"description":"**Status of the bond:**\n- `draft`- bond is created\n- `recorded`- data validation was created by issuer agent and approved by operator\n- `issued`- supply change was created by issuer agent and approved by operator\n- `distributing`- bond has been recorded, issued and ongoing distribution (step 1/2)\n- `live`- bond is distributed (step 2/2), now live and circulating\n- `locked`- bond is locked from trading, entering maturity process (step 1/5)\n- `mature`- bond is maturing, cannot be traded or transferred (step 2/5)\n- `collecting`- bond collection in progress (step 3/5)\n- `collected`- bond collection completed (step 4/5)\n- `closed`- bond has reached the end of its lifecycle (step 5/5)","allOf":[{"$ref":"#/components/schemas/BondStatus"}]},"initialPlacement":{"description":"Initial placement type","default":"public","allOf":[{"$ref":"#/components/schemas/InitialPlacementType"}]},"issuingAccountAddress":{"type":"string","description":"Issuing account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"operationalAccountAddress":{"type":"string","description":"Operational account address","format":"xrp-address","pattern":"r[0-9a-zA-Z]{24,34}"},"isin":{"type":"string","description":" International Securities Identification Number. Code that uniquely identifies a security globally","nullable":true},"cfi":{"type":"string","description":"Classification of Financial Instruments (CFI) code as per ISO 10962","format":"iso-10962-cfi","pattern":"^[A-Z]{6}$","nullable":true},"figi":{"type":"string","description":"Financial Instrument Global Identifier. Code that uniquely identifies a security globally","nullable":true},"ticker":{"type":"string","description":"Stock ticker symbol. This is a unique series of letters assigned to a security or stock for trading purposes","nullable":true},"dti":{"type":"string","description":"Digital Token Identifier (DTI) as per ISO 24165","format":"iso-24165-dti","pattern":"^[B-DF-HJ-NP-TV-XZ1-9][B-DF-HJ-NP-TV-XZ0-9]{8}$","nullable":true},"ecbClassification":{"description":"**ECB Primary Asset Classification (PAC2)** code used in ECB SHS/SHSG reporting codelists.","allOf":[{"$ref":"#/components/schemas/PAC2"}]},"bolClassification":{"description":"**Bank of Lithuania VPT security type code** used in securities holdings reporting forms `VPT-01` and `VPT-02`.\n- The `VPT-01` form points to Annex II of ECB Regulation (EU) No `1011/2012` for classification guidance.\n- This schema stores the numeric code values used by the system for Bank of Lithuania reporting.\n- `N/A` is an internal system value and not an official Bank of Lithuania reporting code.","allOf":[{"$ref":"#/components/schemas/BoLSecurityTypeCode"}]},"issuePrice":{"type":"string","description":"Price of the bond issue"},"nominalValue":{"format":"int64","description":"Nominal value of a single bond unit, also known as face value.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"totalNominalValue":{"format":"int64","description":"Nominal value of a full bond issue, also known as total face value.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"interestRate":{"type":"string","description":"Annual interest rate in % paid for holding this bond"},"interestType":{"description":"**Interest type of the bond** using Axiology bond terminology.\n- `fixed` - fixed-rate debt security with a coupon rate that remains constant for the life of the instrument\n- `index-linked` - debt security whose coupon and/or redemption amount is linked to a reference index, for example an inflation index\n- `other` - residual category for debt securities whose interest structure does not fit the named interest-type categories\n- `stepped` - stepped-coupon debt security with a predefined coupon step-up or step-down schedule\n- `floating` - floating-rate debt security with a coupon that is periodically reset against a reference rate\n- `zero-coupon` - zero-coupon debt security with no periodic coupon payments; return is realised through the issue/redemption price difference","allOf":[{"$ref":"#/components/schemas/InterestType"}]},"interestBase":{"description":"Interest calculation option","allOf":[{"$ref":"#/components/schemas/InterestBaseOptions"}]},"interestInterval":{"description":"Interest payment interval","allOf":[{"$ref":"#/components/schemas/InterestIntervalOptions"}]},"settlementUnitMultiple":{"type":"string","description":"Settlement unit multiple expressed in maximum decimal points amount allowed. Ex: 0,01 means 2"},"minimumSettlementUnit":{"type":"string","description":"Minimum settlement unit expressed in maximum decimal points amount allowed. Ex: 0,01 means 2"},"prospectusRegistered":{"type":"boolean","description":"Indicator, if the bond prospectus registered"},"preEmptiveRights":{"type":"boolean","description":"Indicator, if the bond has pre-emptive rights"},"earlyRedemption":{"type":"boolean","description":"Indicator, if the bond can be redeemed early"},"secured":{"type":"boolean","description":"Indicator, if the bond is secured"},"securedBacking":{"type":"string","description":"Backing of the secured bond","nullable":true},"issuedAt":{"format":"date-time","type":"string","description":"Issue date of the bond."},"issuanceRecordAt":{"format":"date-time","type":"string","description":"Bond issue record date, from which the coupon accumulation starts."},"settleAt":{"format":"date-time","type":"string","description":"Date when the bond was or is expected to be fully distributed among initial holders."},"maturityRecordAt":{"format":"date-time","type":"string","description":"Date when the bond reaches maturity and final owners are fixed."},"matureAt":{"format":"date-time","type":"string","description":"Date when the bond maturity is expected to be paid out."},"distributedAmount":{"format":"int64","description":"Amount of bonds that have been proposed to distribute to investors.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"requestedAmount":{"format":"int64","description":"Amount of mature bonds requested to collect from investors.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"collectedAmount":{"format":"int64","description":"Amount of mature bonds collected back.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"name":{"type":"string","description":"Bond name"},"specUrl":{"type":"string","description":"IPFS link"},"exponent":{"type":"number","description":"**Exponent** - number of decimal places (scale) used for this asset or currency.\n- Decimal floating value: `stored_value / 10^exponent`.\n- Values are stored in the smallest accountable/divisible unit (e.g., cents when exponent = 2).\n- Examples: `2000` with exponent `2` => `20`; `2345` with exponent `3` => `2.345`; `2345` with exponent `0` => `2345`.","minimum":0,"maximum":10},"supply":{"format":"int64","description":"Current bond supply.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"totalSupply":{"format":"int64","description":"Total bond supply ever issued.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"couponIds":{"description":"Coupon ids","type":"array","items":{"type":"string"}},"maturityPaymentIds":{"description":"Maturity payment ids","type":"array","items":{"type":"string"}},"distributionIds":{"description":"Distribution ids","type":"array","items":{"type":"string"}},"settlementType":{"description":"**Corporate actions settlement type:**\n- `internal` - payments (coupons, maturity) are settled within Axiology TSS using EMTs\n- `external` - payments are settled via bank or other payment systems outside Axiology TSS","allOf":[{"$ref":"#/components/schemas/SettlementType"}]},"displayNotation":{"description":"Display hint only. The bond's monetary fields are returned as scaled monetary amounts regardless of this value; consumers use it to decide whether to render values as a percentage of nominal or as a per-unit amount.","allOf":[{"$ref":"#/components/schemas/PriceNotation"}]}},"required":["createdAt","updatedAt","id","issuerId","currencyId","brokerId","origin","custodian","custodianLeiCode","issuerCsdLeiCode","csdRegisteredAt","underlyingInstrumentCode","fisn","countryCode","turnoverType","seniority","status","initialPlacement","issuingAccountAddress","operationalAccountAddress","isin","cfi","figi","ticker","dti","ecbClassification","bolClassification","issuePrice","nominalValue","totalNominalValue","interestRate","interestType","interestBase","interestInterval","settlementUnitMultiple","minimumSettlementUnit","prospectusRegistered","preEmptiveRights","earlyRedemption","secured","securedBacking","issuedAt","issuanceRecordAt","settleAt","maturityRecordAt","matureAt","distributedAmount","requestedAmount","collectedAmount","name","specUrl","exponent","supply","totalSupply","couponIds","maturityPaymentIds","distributionIds","settlementType","displayNotation"]},"BondOrigin":{"type":"string","enum":["native","tokenized"],"description":"Origin of the bond"},"TurnoverType":{"type":"string","enum":["public","private"],"description":"Type of turnover for the bond. Indicates how the bond is traded or transferred"},"BondSeniority":{"type":"string","enum":["senior-debt","mezzanine","subordinated-debt","junior-debt"],"description":"Seniority of the bond. Indicates the priority of claims in case of liquidation"},"BondStatus":{"type":"string","enum":["draft","recorded","issued","distributing","live","locked","mature","collecting","collected","closed"],"description":"**Status of the bond:**\n- `draft`- bond is created\n- `recorded`- data validation was created by issuer agent and approved by operator\n- `issued`- supply change was created by issuer agent and approved by operator\n- `distributing`- bond has been recorded, issued and ongoing distribution (step 1/2)\n- `live`- bond is distributed (step 2/2), now live and circulating\n- `locked`- bond is locked from trading, entering maturity process (step 1/5)\n- `mature`- bond is maturing, cannot be traded or transferred (step 2/5)\n- `collecting`- bond collection in progress (step 3/5)\n- `collected`- bond collection completed (step 4/5)\n- `closed`- bond has reached the end of its lifecycle (step 5/5)"},"InitialPlacementType":{"type":"string","enum":["public","private"],"description":"Initial placement type"},"PAC2":{"type":"string","enum":["C","D","D.1","D.11","D.12","D.121","D.122","D.129","D.13","D.131","D.139","D.14","D.141","D.149","D.15","D.16","D.161","D.162","D.163","D.164","D.165","D.166","D.167","D.169","D.17","D.171","D.172","D.18","D.181","D.1811","D.1812","D.1813","D.1819","D.182","D.1821","D.1822","D.1823","D.1829","D.19","D.2","D.21","D.22","D.23","D.231","D.232","D.239","D.24","D.29","D.3","D.31","D.311","D.32","D.33","D.34","D.39","D.9","E","E.1","E.2","E.21","E.22","E.23","E.24","E.29","E.3","E.31","E.32","E.39","E.4","E.41","E.42","E.43","E.49","E.9","F","F.1","F.2","F.9","I","L","M","O","P","R","U"],"description":"**ECB Primary Asset Classification (PAC2)** code used in ECB SHS/SHSG reporting codelists."},"BoLSecurityTypeCode":{"type":"string","enum":["100","101","102","103","104","106","107","108","305","400","900","N/A"],"description":"**Bank of Lithuania VPT security type code** used in securities holdings reporting forms `VPT-01` and `VPT-02`.\n- The `VPT-01` form points to Annex II of ECB Regulation (EU) No `1011/2012` for classification guidance.\n- This schema stores the numeric code values used by the system for Bank of Lithuania reporting.\n- `N/A` is an internal system value and not an official Bank of Lithuania reporting code."},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"InterestType":{"type":"string","enum":["fixed","index-linked","other","stepped","floating","zero-coupon"],"description":"**Interest type of the bond** using Axiology bond terminology.\n- `fixed` - fixed-rate debt security with a coupon rate that remains constant for the life of the instrument\n- `index-linked` - debt security whose coupon and/or redemption amount is linked to a reference index, for example an inflation index\n- `other` - residual category for debt securities whose interest structure does not fit the named interest-type categories\n- `stepped` - stepped-coupon debt security with a predefined coupon step-up or step-down schedule\n- `floating` - floating-rate debt security with a coupon that is periodically reset against a reference rate\n- `zero-coupon` - zero-coupon debt security with no periodic coupon payments; return is realised through the issue/redemption price difference"},"InterestBaseOptions":{"type":"string","enum":["act-act","act-360","act-365","thirty-360","thirty-e-360"],"description":"Interest calculation option"},"InterestIntervalOptions":{"type":"string","enum":["annual","monthly","quarterly","semiannual"],"description":"Interest payment interval"},"SettlementType":{"type":"string","enum":["external","internal"],"description":"**Corporate actions settlement type:**\n- `internal` - settled within Axiology TSS using EMTs\n- `external` - settled via bank or other payment systems outside Axiology TSS"},"PriceNotation":{"type":"string","enum":["MONE","PERC","YIEL","BAPO"],"description":"**ESMA-aligned price notation codes** (MiFIR RTS 2/22).\n- `MONE` - monetary per-unit amount.\n- `PERC` - percentage (e.g. percentage of nominal value).\n- `YIEL` - yield.\n- `BAPO` - basis points."}}}}
```

## GET /issuers/{issuerId}/equities

> Retrieve a list of issuer equities supported by the platform.

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/issuers/{issuerId}/equities":{"get":{"description":"Retrieve a list of issuer equities supported by the platform.","operationId":"getIssuerEquities","parameters":[{"name":"issuerId","required":true,"in":"path","description":"Issuer UUID identifier, unique in scope of this node","schema":{"format":"uuid","type":"string"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/EquityDto"}}},"required":["pagination","items"]}}}}},"summary":"","tags":["Issuers"]}}},"components":{"schemas":{"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"EquityDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Equity UUID identifier, global in scope of TSS","format":"uuid"},"currencyId":{"type":"string","description":"Unique UUID of the currency equity in scope of this gateway","format":"uuid"},"issuerId":{"type":"string","description":"Unique UUID of issuer in scope of this gateway","format":"uuid"},"nominalValue":{"format":"int64","description":"Price of ONE share.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"issueDate":{"type":"string","description":"Issue registration date"},"status":{"description":"Status of equity","allOf":[{"$ref":"#/components/schemas/EquityStatus"}]},"issuingAccountAddress":{"type":"string","description":"Issuing account address"},"operationalAccountAddress":{"type":"string","description":"Operational account address"},"name":{"type":"string","description":"A user friendly name of the asset (ex. Orange Bond)"},"supply":{"format":"int64","description":"Total supply of the asset that exists amongst all platforms together.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"specUrl":{"type":"string","description":"IPFS link"},"isin":{"type":"string","description":"An International Securities Identification Number","nullable":true},"ecbClassification":{"description":"**ECB Primary Asset Classification (PAC2)** code used in ECB SHS/SHSG reporting codelists.","allOf":[{"$ref":"#/components/schemas/PAC2"}]},"undistributedAmount":{"format":"int64","description":"Undistributed amount of the equity placed in warm wallet\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]}},"required":["createdAt","updatedAt","id","currencyId","issuerId","nominalValue","issueDate","status","issuingAccountAddress","operationalAccountAddress","name","supply","specUrl","isin","ecbClassification","undistributedAmount"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."},"EquityStatus":{"type":"string","enum":["recorded","live","suspended","closed"],"description":"Status of equity"},"PAC2":{"type":"string","enum":["C","D","D.1","D.11","D.12","D.121","D.122","D.129","D.13","D.131","D.139","D.14","D.141","D.149","D.15","D.16","D.161","D.162","D.163","D.164","D.165","D.166","D.167","D.169","D.17","D.171","D.172","D.18","D.181","D.1811","D.1812","D.1813","D.1819","D.182","D.1821","D.1822","D.1823","D.1829","D.19","D.2","D.21","D.22","D.23","D.231","D.232","D.239","D.24","D.29","D.3","D.31","D.311","D.32","D.33","D.34","D.39","D.9","E","E.1","E.2","E.21","E.22","E.23","E.24","E.29","E.3","E.31","E.32","E.39","E.4","E.41","E.42","E.43","E.49","E.9","F","F.1","F.2","F.9","I","L","M","O","P","R","U"],"description":"**ECB Primary Asset Classification (PAC2)** code used in ECB SHS/SHSG reporting codelists."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/issuers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
